org.apache.ignite.internal.processors.cache

## Class StateChangeRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.StateChangeRequest

    public class StateChangeRequest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StateChangeRequest(ChangeGlobalStateMessage msg, BaselineTopologyHistoryItem bltHistItem, ClusterState prevState, AffinityTopologyVersion topVer)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `activate()` Deprecated. Use `state()` instead.
`boolean` `activeChanged()`
`@Nullable BaselineTopology` `baselineTopology()`
`IgniteUuid` `id()`
`UUID` `initiatorNodeId()`
`@Nullable BaselineTopologyHistoryItem` `prevBaselineTopologyHistoryItem()`
`ClusterState` `prevState()`
`UUID` `requestId()`
`ClusterState` `state()`
`AffinityTopologyVersion` `topologyVersion()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StateChangeRequest

    public StateChangeRequest(ChangeGlobalStateMessage msg,
                              BaselineTopologyHistoryItem bltHistItem,
                              ClusterState prevState,
                              AffinityTopologyVersion topVer)

Parameters:
  `msg` - Message.
  `bltHistItem` - Baseline history item.
  `prevState` - Previous cluster state.
  `topVer` - State change topology versoin.

### Method Detail

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  State change exchange version.

#### id

    public IgniteUuid id()

Returns:
  State change message ID.

#### requestId

    public UUID requestId()

Returns:
  State change request ID.

#### activate

    @Deprecated
    public boolean activate()

Deprecated. Use `state()` instead.

Returns:
  New state.

#### state

    public ClusterState state()

Returns:
  New cluster state.

#### prevState

    public ClusterState prevState()

Returns:
  Previous cluster state.

#### activeChanged

    public boolean activeChanged()

Returns:
  `True` if active state was changed.

#### prevBaselineTopologyHistoryItem

    @Nullable
    public @Nullable BaselineTopologyHistoryItem prevBaselineTopologyHistoryItem()

Returns:
  Previous baseline topology.

#### baselineTopology

    @Nullable
    public @Nullable BaselineTopology baselineTopology()

Returns:
  Baseline topology.

#### initiatorNodeId

    public UUID initiatorNodeId()

Returns:
  Node initiated state change process.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023